Page MenuHomePhabricator

Deploy libmapnik3.0 deb package to all maps servers
Closed, ResolvedPublic

Description

Now that we have an awesome mapnick debian package that @faidon built, we need to deploy it via puppet to all maps servers. Otherwise, that lib does not get packaged with the kartotherian deployment repo, thus kartotherian fails to boot up.

TBD: would it affect existing installations that have a mapnik lib deployed as part of the deb package?

Event Timeline

Yurik created this task.Nov 15 2016, 1:39 AM
Yurik added a subscriber: Pnorman.Nov 15 2016, 2:21 AM
Gehel added a comment.Nov 16 2016, 2:06 PM

As a first validation step, we can manually push the libmapnik3.0 package manually to maps-test* servers.

libmapnik3.0 is packaged for stretch and sid, I'm not sure why it hasn't made it to jessie-backports.

libmapnik3.0 is packaged for stretch and sid, I'm not sure why it hasn't made it to jessie-backports.

Packages don't automatically move to jessie-backports. Someone has to build the version in stretch against jessie, sign and upload to the archive (similar to an upload to unstable). Moreover, that someone either has to be either the maintainer of the unstable/testing package, or someone else with upload rights but if so, only with the maintainer's permission. Subsequent updates are not automatic either (they need to be manually rebuilt), although usually getting the maintainer's permission once is enough.

Yurik moved this task from Backlog to In progress on the Maps-Sprint board.Nov 17 2016, 6:17 PM
Gehel added a comment.Nov 17 2016, 6:20 PM

libmapnik3.0 is available on maps-test2002 for testing (yes, we really need a test cluster)

Per our conversation at the Services meeting yesterday, I just reprepro included the mapbox-variant and mapnik source and binary packages to the backports section of the jessie-wikimedia suite of our own apt repo (the ones that were under https://people.wikimedia.org/~faidon/mapnik/).

Deploying the mapnik library to the maps servers is a matter of adding a Package puppet resource in the right class now — I'll leave that to @Gehel :)

Gehel added a comment.Nov 18 2016, 3:47 PM

Thanks @faidon ! I'll add that package soon and we'll see about testing the node 6 upgrade...

Change 322278 had a related patch set uploaded (by Gehel):
maps / kartotherian: libmapnik3.0 is required for the upgrade to nodejs 6

https://gerrit.wikimedia.org/r/322278

Change 322278 merged by Gehel:
maps / kartotherian: libmapnik3.0 is required for the upgrade to nodejs 6

https://gerrit.wikimedia.org/r/322278

Change 324691 had a related patch set uploaded (by Gehel):
kartotherian: fix package as array

https://gerrit.wikimedia.org/r/324691

Change 324691 merged by Gehel:
kartotherian: fix package as array

https://gerrit.wikimedia.org/r/324691

Gehel closed this task as Resolved.Dec 1 2016, 3:44 PM

Package is deployed to all maps servers